Get Authenticated Account
curl --request GET \
--url https://api.inprocess.world/api/oauth \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.inprocess.world/api/oauth"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.inprocess.world/api/oauth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artistAddress": "0x1234567890abcdef1234567890abcdef12345678",
"profile": {
"username": "sweetman",
"bio": "the dev for onchain music.",
"farcaster_username": "sweetman.eth",
"instagram_username": "sweetman.eth",
"twitter_username": "sweetman_eth",
"telegram_username": "sweetman_eth",
"phone": {
"phone_number": "+11234567890",
"verified": true
}
}
}{
"message": "Failed"
}OAuth
Get Authenticated Account
Retrieve the authenticated artist’s wallet address and profile.
Overview:
This endpoint verifies the Bearer token from the Login with OTP endpoint and returns the associated artist address along with their profile information.
- Include the JWT token obtained from the login flow as a Bearer token in the
Authorizationheader. - On success, the artist’s wallet address and profile are returned.
GET
/
oauth
Get Authenticated Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.